BizKitHub
DocsAPI ReferenceProduct/bff/product/price-history
getProductAdmin BFF

/bff/product/price-history

Returns a chronological list of price changes for the product, ordered by most recent first.

ProductgetBffProductPrice-history

Parameters

1 query

Query parameters

· 1
productCodestringRequired

Product code to get price history for.

Examplemy-product

Response schema

1 status code documented

200Success
priceItemsobject[]Required

Price history entries ordered by date descending.

Each array item:
pricenumberRequired

Price with VAT at that point in time.

inserted_dateDate | string | string | numberRequired

Date when the price was recorded.

One of 4:
Variant 1
Date

Date when the price was recorded.

Variant 2
stringdate-time
Variant 3
stringdate
Variant 4
number

Response example

application/json
{
  "priceItems": [
    {
      "price": 0
    }
  ]
}

Request example

GET /bff/product/price-history

get
curl -X GET "https://api.bizkithub.com/bff/product/price-history?productCode=my-product" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key